php-parser (4.13.2-1ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/p/0003-Disable-new-test-cases-not-yet-32-bit-compatible.patch:

      + Disable two new test cases in order to fix proposed migration
        blockage on armhf due to autopkgtest failures. Upstream indicates
        these new test cases have not been verified to work with 32-bit.
  	(LP #1878102)
    - d/p/0004-Disable-CodeParsingTest-due-to-integer-syntax.patch:
      + Disable another test case that is not yet 32-bit compatible, to fix
        proposed migration blockage on armhf.

 -- Bryce Harrington <bryce@canonical.com>  Thu, 03 Mar 2022 14:54:31 -0800

php-parser (4.13.2-1) unstable; urgency=medium

  [ Jaroslav Hanslík ]
  * Added builders for enum and enum case

  [ Nikita Popov ]
  * Release PHP-Parser 4.13.2

 -- David Prévot <taffit@debian.org>  Mon, 06 Dec 2021 09:49:28 -0400

php-parser (4.13.1-1ubuntu2) jammy; urgency=medium

  * No-change rebuild against older phpunit to resolve dependency confusion.

 -- Bryce Harrington <bryce@canonical.com>  Fri, 19 Nov 2021 00:38:48 +0000

php-parser (4.13.1-1ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/p/0003-Disable-new-test-cases-not-yet-32-bit-compatible.patch:
      + Disable two new test cases in order to fix proposed migration
        blockage on armhf due to autopkgtest failures. Upstream indicates
        these new test cases have not been verified to work with
        32-bit. (LP #1878102)
    - d/p/0004-Disable-CodeParsingTest-due-to-integer-syntax.patch:
      + Disable another test case that is not yet 32-bit compatible, to
        fix proposed migration blockage on armhf.

 -- Utkarsh Gupta <utkarsh@debian.org>  Tue, 09 Nov 2021 17:51:30 +0530

php-parser (4.13.1-1) unstable; urgency=medium

  [ Nikita Popov ]
  * Release PHP-Parser 4.13.1

 -- David Prévot <taffit@debian.org>  Thu, 04 Nov 2021 12:57:00 -0400

php-parser (4.13.0-2) unstable; urgency=medium

  * Allow stderr during CI

 -- David Prévot <taffit@debian.org>  Thu, 07 Oct 2021 15:30:31 -0400

php-parser (4.13.0-1) unstable; urgency=medium

  [ Nikita Popov ]
  * Release PHP-Parser 4.13.0

  [ David Prévot ]
  * Simplify gbp import-orig
  * Update standards version to 4.6.0, no changes needed.
  * Install /u/s/p/{autoloaders,overrides} files
  * Generate phpabtpl at build time
  * Use dh-sequence-phpcomposer instead of pkg-php-tools

 -- David Prévot <taffit@debian.org>  Thu, 07 Oct 2021 14:17:02 -0400

php-parser (4.10.4-1ubuntu1) hirsute; urgency=medium

  * Merge with Debian unstable.  Remaining changes:
    - d/p/0003-Disable-new-test-cases-not-yet-32-bit-compatible.patch:
      + Disable two new test cases in order to fix proposed migration
        blockage on armhf due to autopkgtest failures.  Upstream indicates
        these new test cases have not been verified to work with 32-bit.
        (LP #1878102)
    - d/p/0004-Disable-CodeParsingTest-due-to-integer-syntax.patch:
      + Disable another test case that is not yet 32-bit compatible, to fix
        proposed migration blockage on armhf.

 -- Bryce Harrington <bryce@canonical.com>  Thu, 21 Jan 2021 13:39:03 -0800

php-parser (4.10.4-1) unstable; urgency=medium

  [ Nikita Popov ]
  * Release PHP-Parser 4.10.4

  [ David Prévot ]
  * Workaround --include-path broken(?) in PHPUnit 9

 -- David Prévot <taffit@debian.org>  Mon, 21 Dec 2020 10:01:27 -0400

php-parser (4.10.3-1) unstable; urgency=medium

  [ Nikita Popov ]
  * Release PHP-Parser 4.10.3

  [ David Prévot ]
  * Update watch file format version to 4.
  * Update Standards-Version to 4.5.1

 -- David Prévot <taffit@debian.org>  Wed, 09 Dec 2020 06:21:24 -0400

php-parser (4.10.2-1) unstable; urgency=medium

  [ Nikita Popov ]
  * Release PHP-Parser 4.10.2

 -- David Prévot <taffit@debian.org>  Sat, 26 Sep 2020 08:40:07 -0400

php-parser (4.10.0-1) unstable; urgency=medium

  [ Nikita Popov ]
  * Release PHP-Parser 4.10.0

 -- David Prévot <taffit@debian.org>  Tue, 22 Sep 2020 07:44:40 -0400

php-parser (4.9.1-1) unstable; urgency=medium

  [ Nikita Popov ]
  * Release PHP-Parser 4.9.1

  [ David Prévot ]
  * Rename main branch to debian/latest (DEP-14)

 -- David Prévot <taffit@debian.org>  Tue, 01 Sep 2020 14:40:39 -0400

php-parser (4.9.0-1) unstable; urgency=medium

  [ Nikita Popov ]
  * Release PHP-Parser 4.9.0

 -- David Prévot <taffit@debian.org>  Mon, 24 Aug 2020 10:40:31 -0400

php-parser (4.8.0-1) unstable; urgency=medium

  [ Nikita Popov ]
  * Allow PHPUnit 9
  * Release PHP-Parser 4.8.0

 -- David Prévot <taffit@debian.org>  Mon, 17 Aug 2020 18:31:58 +0200

php-parser (4.7.0-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Add ParentConnectingVisitor and NodeConnectingVisitor (#681)

  [ Graham Campbell ]
  * Corrected license text

  [ Tomas Votruba ]
  * [PHP 8.0] Add match expressions (#672)

  [ Nikita Popov ]
  * [PHP 8.0] Support trailing comma in closure use list
  * Release PHP-Parser 4.7.0

  [ David Prévot ]
  * Update copyright
  * Set Rules-Requires-Root: no.

 -- David Prévot <taffit@debian.org>  Thu, 30 Jul 2020 05:37:49 +0200

php-parser (4.6.0-1) unstable; urgency=medium

  [ TomasVotruba ]
  * [PHP 8.0] Add trailing comma in parameter list
  * Add constructor promotion support

  [ Nikita Popov ]
  * Release PHP-Parser 4.6.0

  [ David Prévot ]
  * Install upstream doc without extra doc/

 -- David Prévot <taffit@debian.org>  Mon, 06 Jul 2020 14:56:54 +0200

php-parser (4.5.0-1) unstable; urgency=medium

  [ Nikita Popov ]
  * Release PHP-Parser 4.5.0

  [ David Prévot ]
  * Use debhelper-compat 13
  * Simplify override_dh_auto_test

 -- David Prévot <taffit@debian.org>  Fri, 05 Jun 2020 17:25:11 -1000

php-parser (4.4.0-1) unstable; urgency=medium

  [ Nikita Popov ]
  * Release PHP-Parser 4.4.0

  [ David Prévot ]
  * Drop versioned dependency satisfied in (old)stable
  * Update Standards-Version to 4.5.0
  * Set upstream metadata fields:
    Bug-Database, Bug-Submit, Repository, Repository-Browse.

 -- David Prévot <taffit@debian.org>  Wed, 15 Apr 2020 09:29:15 -1000

php-parser (4.3.0-1) unstable; urgency=medium

  [ Nikita Popov ]
  * Release PHP-Parser 4.3.0

 -- David Prévot <taffit@debian.org>  Sun, 10 Nov 2019 17:18:19 -1000

php-parser (4.2.5-1) unstable; urgency=medium

  [ Kyle ]
  * Optimize production build by ignoring dev files

  [ Nikita Popov ]
  * Release PHP-Parser 4.2.5

  [ David Prévot ]
  * Document gbp import-ref usage
  * Update standards version to 4.4.1, no changes needed.
  * Set upstream metadata fields: Repository.

 -- David Prévot <taffit@debian.org>  Tue, 29 Oct 2019 11:32:40 -1000

php-parser (4.2.4-1) unstable; urgency=medium

  [ Nikita Popov ]
  * Release PHP-Parser 4.2.4

  [ Tomas Votruba ]
  * add getProperties() and getConstants() to ClassLike
  * add getTraitUses() method to ClassLike

  [ David Prévot ]
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.

 -- David Prévot <taffit@debian.org>  Mon, 02 Sep 2019 18:12:05 -1000

php-parser (4.2.3-1) unstable; urgency=medium

  [ Nikita Popov ]
  * Make compatible with PhpUnit 8
  * Release PHP-Parser 4.2.3

  [ Tomáš Votruba ]
  * [PHP 7.4] Add support for numeric literal separators (#615)

 -- David Prévot <taffit@debian.org>  Tue, 13 Aug 2019 18:14:55 -1000

php-parser (4.2.2-2) unstable; urgency=medium

  * Upload to unstable in sync with phpdox
  * Compatibility with recent PHPUnit (Closes: #929065)
  * Update standards version, no changes needed.
  * Set upstream metadata fields: Contact, Name.

 -- David Prévot <taffit@debian.org>  Fri, 09 Aug 2019 16:23:29 -1000

php-parser (4.2.2-1) experimental; urgency=medium

  [ Nikita Popov ]
  * Release PHP-Parser 4.2.2

  [ David Prévot ]
  * Update help2man call

 -- David Prévot <taffit@debian.org>  Tue, 11 Jun 2019 15:01:43 -1000

php-parser (4.2.1-1) experimental; urgency=medium

  [ Tomas Votruba ]
  * Add support for ??= operator

  [ Nikita Popov ]
  * Release PHP-Parser 4.2.1

  [ David Prévot ]
  * Provide homemade autoload for tests

 -- David Prévot <taffit@debian.org>  Mon, 18 Feb 2019 10:13:10 -1000

php-parser (4.2.0-2) experimental; urgency=medium

  * Drop incorrect dependencies from autoload.php

 -- David Prévot <taffit@debian.org>  Mon, 21 Jan 2019 11:45:03 -1000

php-parser (4.2.0-1) experimental; urgency=medium

  [ Nikita Popov ]
  * Release PHP-Parser 4.2.0

  [ David Prévot ]
  * Use debhelper-compat 12

 -- David Prévot <taffit@debian.org>  Mon, 14 Jan 2019 21:00:24 -1000

php-parser (4.1.1-1) experimental; urgency=medium

  [ Nikita Popov ]
  * Release PHP-Parser 4.1.1

  [ David Prévot ]
  * Update Standards-Version to 4.3.0

 -- David Prévot <taffit@debian.org>  Sat, 29 Dec 2018 09:35:08 +1030

php-parser (4.1.0-1) experimental; urgency=medium

  [ Nikita Popov ]
  * Release PHP-Parser 4.1.0

  [ David Prévot ]
  * Simplify a bit d/README.source

 -- David Prévot <taffit@debian.org>  Fri, 12 Oct 2018 16:39:47 -1000

php-parser (4.0.4-1) experimental; urgency=medium

  [ Nikita Popov ]
  * Release PHP-Parser 4.0.4

  [ David Prévot ]
  * Use debhelper-compat 11
  * Use https in Format
  * Get rid of https target
  * Update Standards-Version to 4.2.1

 -- David Prévot <taffit@debian.org>  Thu, 20 Sep 2018 19:48:01 -1000

php-parser (4.0.3-1) experimental; urgency=medium

  [ Nikita Popov ]
  * Release PHP-Parser 4.0.3

  [ David Prévot ]
  * Update Standards-Version to 4.1.5

 -- David Prévot <taffit@debian.org>  Wed, 18 Jul 2018 17:41:19 +0800

php-parser (4.0.2-1) experimental; urgency=medium

  [ Nikita Popov ]
  * Release PHP-Parser 4.0.2

  [ David Prévot ]
  * Update Standards-Version to 4.1.4

 -- David Prévot <taffit@debian.org>  Tue, 05 Jun 2018 15:32:12 -1000

php-parser (4.0.1-1) experimental; urgency=medium

  [ Nikita Popov ]
  * Release PHP-Parser 4.0.1

 -- David Prévot <taffit@debian.org>  Wed, 28 Mar 2018 16:45:56 -1000

php-parser (4.0.0-1) experimental; urgency=medium

  [ Nikita Popov ]
  * Release PHP-Parser 4.0.0

  [ Gabriel Caruso ]
  * Support PHPUnit 7

 -- David Prévot <taffit@debian.org>  Sun, 04 Mar 2018 19:35:43 -1000

php-parser (4.0.0~beta1-1) experimental; urgency=medium

  [ Nikita Popov ]
  * Release PHP-Parser 4.0 Beta 1

  [ Miguel Piedrafita ]
  * Update license year

  [ David Prévot ]
  * Move project repository to salsa.d.o
  * Update Standards-Version to 4.1.3
  * Update copyright (years)
  * Drop bootstrap file removed upstream

 -- David Prévot <taffit@debian.org>  Tue, 27 Feb 2018 21:59:46 -1000

php-parser (4.0.0~alpha3-1) experimental; urgency=medium

  [ Nikita Popov ]
  * Release PHP-Parser 4.0 Alpha 3

 -- David Prévot <taffit@debian.org>  Thu, 28 Dec 2017 16:19:45 +0530

php-parser (4.0.0~alpha2-1) experimental; urgency=medium

  [ Nikita Popov ]
  * Release PHP-Parser 4.0.0 Alpha 2

  [ David Prévot ]
  * Install upstream documentation in its doc directory
  * Workaround phpab issue
  * Update Standards-Version to 4.1.2

 -- David Prévot <taffit@debian.org>  Sun, 03 Dec 2017 14:21:44 -1000

php-parser (3.1.2-1) experimental; urgency=medium

  [ Nikita Popov ]
  * Add attribute for namespace kinds (#417)
  * Preserve comments on empty blocks (#382)
  * Add setDocComment() to namespace build (#437)
  * Release PHP-Parser 3.1.2

 -- David Prévot <taffit@debian.org>  Sat, 18 Nov 2017 21:23:00 -1000

php-parser (3.1.1-1) experimental; urgency=medium

  [ Nikita Popov ]
  * Release PHP-Parser 3.1.1

  [ David Prévot ]
  * Drop now useless entries for ci
  * Revert "Acknowledge now provided --help option"
  * Update Standards-Version to 4.1.1

 -- David Prévot <taffit@debian.org>  Thu, 12 Oct 2017 15:15:30 -1000

php-parser (2.1.0-1) experimental; urgency=medium

  [ Nikita Popov ]
  * Remove internal LNumber::parse() method
  * Document that XDebug is super slow
  * Release PHP-Parser 2.1.0

  [ Remi Collet ]
  * support -h and --help standard options

  [ David Prévot ]
  * Update Standards-Version to 3.9.8
  * Acknowledge now provided --help option

 -- David Prévot <taffit@debian.org>  Tue, 19 Apr 2016 21:21:53 -0400

php-parser (2.0.1-1) experimental; urgency=medium

  [ Nikita Popov ]
  * Distinguish declare(); and declare(){}
  * Support hashbang before namespace declaration
  * Update semi-reserved keyword list
  * Fix __halt_compiler() pretty printing edge case
  * Release PHP-Parser 2.0.1

  [ David Prévot ]
  * Update Standards-Version to 3.9.7

 -- David Prévot <taffit@debian.org>  Wed, 02 Mar 2016 17:11:34 -0400

php-parser (2.0.0-1) experimental; urgency=medium

  [ Nikita Popov ]
  * Introduce Scalar\EncapsedStringPart
  * Release PHP-Parser 2.0.0

 -- David Prévot <taffit@debian.org>  Sat, 05 Dec 2015 16:33:33 -0400

php-parser (2.0.0~beta1-1) experimental; urgency=medium

  [ Nikita Popov ]
  * Add php-parse as composer bin
  * Fix autoloader path in php-parse
  * Release version 2.0.0 beta 1

  [ Dmitry Patsura ]
  * Use composer PSR-4 autoloader

  [ David Prévot ]
  * Adapt to php-parse renamed upstream
  * Provide homemade static autoload.php
  * Use static autoloader instead of dynamic one

 -- David Prévot <taffit@debian.org>  Fri, 23 Oct 2015 15:52:12 -0400

php-parser (2.0.0~alpha1-1) experimental; urgency=medium

  * Upload alpha to experimental

  [ Nikita Popov ]
  * Move parser to Parser\Php5
  * Fork separate PHP 7 parser
  * Add Multiple parser
  * Add basic ParserFactory
  * Release PHP-Parser 2.0 Alpha 1

  [ David Prévot ]
  * Revert "Track stable releases"
  * Install new upgrade notice
  * Don’t force php5 anymore
  * Force testing of the local lib
  * Adapt CI to new distribution

 -- David Prévot <taffit@debian.org>  Sun, 06 Sep 2015 15:38:40 -0400

php-parser (1.4.0-1) unstable; urgency=medium

  [ Nikita Popov ]
  * Prepare PHP-Parser 1.4.0 release

  [ David Prévot ]
  * Make help output help2man-friendly
  * Track stable releases

 -- David Prévot <taffit@debian.org>  Wed, 29 Jul 2015 18:41:29 +0200

php-parser (1.3.0-1) unstable; urgency=medium

  * Upload to unstable since Jessie has been released

  [ Nikita Popov ]
  * Release PHP-Parser 1.3.0

  [ Gerrit Addiks ]
  * added column-numbers to syntax errors

 -- David Prévot <taffit@debian.org>  Sun, 03 May 2015 08:49:24 -0400

php-parser (1.2.2-1) experimental; urgency=medium

  [ Nikita Popov ]
  * Release PHP-Parser 1.2.2

  [ David Prévot ]
  * Drop the .php file from /usr/bin

 -- David Prévot <taffit@debian.org>  Sat, 04 Apr 2015 17:47:06 -0400

php-parser (1.2.1-1) experimental; urgency=medium

  [ Nikita Popov ]
  * Strict type compliance
  * Release PHP-Parser 1.2.1

 -- David Prévot <taffit@debian.org>  Wed, 25 Mar 2015 09:58:43 -0400

php-parser (1.2.0-1) experimental; urgency=medium

  [ Nikita Popov ]
  * Revert "Create .gitattributes with basic export-ignores"
  * Release PHP-Parser 1.2.0

  [ David Prévot ]
  * Revert "Do not ship no longer provided documentation"
  * Revert "Disable tests (no longer provided)"
  * Simplify DEP-8 call

 -- David Prévot <taffit@debian.org>  Tue, 24 Mar 2015 16:16:10 -0400

php-parser (1.1.0-1) experimental; urgency=medium

  [ Nikita Popov ]
  * Release PHP-Parser 1.1

  [ David Prévot ]
  * Disable tests (no longer provided)
  * Do not ship no longer provided documentation

 -- David Prévot <taffit@debian.org>  Thu, 22 Jan 2015 12:26:48 -0400

php-parser (1.0.2-1) experimental; urgency=medium

  * Upload to experimental to respect the freeze

  [ Arne Blankerts ]
  * Make NameResolver resolve trait alias and precedence names

  [ nikic ]
  * Release PHP-Parser 1.0.2

  [ David Prévot ]
  * Add a get-orig-source target

 -- David Prévot <taffit@debian.org>  Fri, 07 Nov 2014 15:04:53 -0400

php-parser (1.0.1-1) unstable; urgency=medium

  [ nikic ]
  * Disallow new without a class name
  * Fix var_dump truncation with xdebug in php-parse.php
  * Add ability to pass code directly to php-parse.php
  * Release version 1.0.1

  [ David Prévot ]
  * Improve manual page generation

 -- David Prévot <taffit@debian.org>  Thu, 16 Oct 2014 22:04:02 -0400

php-parser (1.0.0-2) unstable; urgency=medium

  * Install bootstrap, as needed by phpdox
  * Make sure DEP-8 test are actually about the installed package
  * Bump standards version to 3.9.6

 -- David Prévot <taffit@debian.org>  Mon, 29 Sep 2014 17:29:33 -0400

php-parser (1.0.0-1) unstable; urgency=medium

  [ nikic ]
  * Remove "experimental" message
  * Remove deprecated Template and TemplateLoader
  * Add migration guide for 0.9 -> 1.0
  * Release PHP-Parser 1.0.0

  [ David Prévot ]
  * Display upstream version instead of Debian one
  * Install upgrade documentation
  * Upload stable version to unstable

 -- David Prévot <taffit@debian.org>  Fri, 12 Sep 2014 15:09:52 -0400

php-parser (1.0.0~beta2-1) experimental; urgency=medium

  [ nikic ]
  * Add experimental php-parse script
  * Release PHP-Parser 1.0.0 Beta 2

  [ Nikita Popov ]
  * Make autoloader for new names PSR-0 compliant

  [ David Prévot ]
  * No tests if DEB_BUILD_OPTIONS contains nocheck
  * Revert "Remove failing tests"
  * Install CLI
  * Add manpage for CLI

 -- David Prévot <taffit@debian.org>  Thu, 04 Sep 2014 16:38:31 -0400

php-parser (1.0.0~beta1-1) experimental; urgency=medium

  [ nikic ]
  * Release PHP-Parser 1.0.0 Beta 1

  [ David Prévot ]
  * Update packaging to Composer source, and upload to experimental
  * Remove failing tests

 -- David Prévot <taffit@debian.org>  Thu, 12 Jun 2014 14:36:41 -0400

php-parser (0.9.4-1) unstable; urgency=low

  * Initial Release (Closes: #746431)

 -- David Prévot <taffit@debian.org>  Tue, 29 Apr 2014 18:52:39 -0400
